- Main Page
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
SignOn::UiSessionData Class Reference

Data container to hold values for authentication session. More...

`#include <uisessiondata.h>`

Inheritance diagram for SignOn::UiSessionData:
[legend]

## Public Member Functions
| UiSessionData (const QVariantMap &data=QVariantMap())
| Constructor. More...

## Detailed Description

Data container to hold values for authentication session.

Inherit this class if you want to extend the property range.

Warning
  All this class' definitions must be inline.

Definition at line 74 of file uisessiondata.h.

## Constructor & Destructor Documentation

SignOn::UiSessionData::UiSessionData | ( | const QVariantMap & | data = `QVariantMap()` | ) |
| inline

Constructor.

Creates a UiSessionData with data 'data'.

Parameters

  data | The data to be contained by the UiSessionData

Attention
  internal use only recommended. As a SSO client application developer use setters/gettters for specific SessionData properties.

Definition at line 83 of file uisessiondata.h.

The documentation for this class was generated from the following file:

- SignOn/uisessiondata.h